## IdeWorkbenchHeaderBar IdeWorkbenchHeaderBar |

## Functions

GtkWidget * | ide_workbench_header_bar_new ()
IdeOmniBar * | ide_workbench_header_bar_get_omni_bar ()
void | ide_workbench_header_bar_focus_search ()
void | ide_workbench_header_bar_add_primary ()
void | ide_workbench_header_bar_insert_left ()
void | ide_workbench_header_bar_insert_right ()

## Types and Values

#define | IDE_TYPE_WORKBENCH_HEADER_BAR
struct | IdeWorkbenchHeaderBarClass
| IdeWorkbenchHeaderBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkHeaderBar
                        ╰── IdeWorkbenchHeaderBar

## Implemented Interfaces

IdeWorkbenchHeaderBar implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### ide_workbench_header_bar_new ()

    GtkWidget *
    ide_workbench_header_bar_new (void);

### ide_workbench_header_bar_get_omni_bar ()

    IdeOmniBar *
    ide_workbench_header_bar_get_omni_bar (IdeWorkbenchHeaderBar *self);

#### Returns

An IdeOmniBar.

[transfer none]

### ide_workbench_header_bar_focus_search ()

    void
    ide_workbench_header_bar_focus_search (IdeWorkbenchHeaderBar *self);

### ide_workbench_header_bar_add_primary ()

    void
    ide_workbench_header_bar_add_primary (IdeWorkbenchHeaderBar *self,
                                          GtkWidget *widget);

This will add `widget` to the special box at the top left of the window next to the perspective selector. This is a special location in that the spacing is treated differently than other locations on the header bar.

#### Parameters

self | a IdeWorkbenchHeaderBar |

Since: 3.26

### ide_workbench_header_bar_insert_left ()

    void
    ide_workbench_header_bar_insert_left (IdeWorkbenchHeaderBar *self,
                                          GtkWidget *widget,
                                          GtkPackType pack_type,
                                          gint priority);

### ide_workbench_header_bar_insert_right ()

    void
    ide_workbench_header_bar_insert_right (IdeWorkbenchHeaderBar *self,
                                           GtkWidget *widget,
                                           GtkPackType pack_type,
                                           gint priority);

## Types and Values

### IDE_TYPE_WORKBENCH_HEADER_BAR

    #define IDE_TYPE_WORKBENCH_HEADER_BAR (ide_workbench_header_bar_get_type())

### struct IdeWorkbenchHeaderBarClass

    struct IdeWorkbenchHeaderBarClass {
      GtkHeaderBarClass parent;
    };

### IdeWorkbenchHeaderBar

    typedef struct _IdeWorkbenchHeaderBar IdeWorkbenchHeaderBar;